For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
  • Runtype API
      • GETList flows
      • POSTCreate flow
      • GETGet flow details
      • PUTUpdate flow
      • DELDelete flow
      • GETList flow step results
      • POSTPublish flow
      • POSTRun flow on records of a type
      • GETExport flow for runtime
Dashboard
LogoLogo
Runtype APIFlows

Delete flow

DELETE
/v1/flows/:id
DELETE
/v1/flows/:id
$curl -X DELETE https://api.runtype.com/v1/flows/id \
> -H "Authorization: Bearer <token>"
Delete a flow by ID. Cascades to associated step results and prompts.
Was this page helpful?
Previous

List flow step results

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Flow deleted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error